Pre-Development - Bug #19040

IAM > Country
01 December 2023 03:41 PM - Low Dylan

Status: Closed Start date: 01 December 2023
Priority: Normal Due date:

Assignee: chok yee fan % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour
Description

Country - 30% Ul only

What is the issue

History

#1 - 01 December 2023 04:05 PM - chok yee fan

- Assignee changed from chok yee fan to Low Dylan
Not sure where is the ws, at bdcommon?

#2 - 01 December 2023 05:15 PM - Low Dylan

- Status changed from New to Feedback

- Assignee changed from Low Dylan to chok yee fan

Ya, at bd_common

http://localhost:8082/api/countryWs/searchForm

http://localhost:8082/api/countryWs/searchAction

http://localhost:8082/api/countryWs/updateAction

#3 - 04 December 2023 01:39 PM - chok yee fan

- Assignee changed from chok yee fan to Amir Fitri

develop the screen

#4 - 12 December 2023 02:24 PM - Low Dylan
Req: http://localhost:8082/api/countryWs/searchForm {

"sessionID": "test",
"countrySearchParamBean": {
"countryName": "",
"countryNameCriteria": ",
"statuses" : ["A","X"]

}

}

19 April 2025

1/3



http://localhost:8082/api/countryWs/searchForm
http://localhost:8082/api/countryWs/searchAction
http://localhost:8082/api/countryWs/updateAction
http://localhost:8082/api/countryWs/searchForm

#5 - 08 January 2024 10:49 AM - chok yee fan

- Assignee changed from Amir Fitri to Hazimi Muhammad

#6 - 10 January 2024 09:34 AM - Hazimi Muhammad
Hazimi - Bug #19040 - IAM > Country - Add and fetch for all CountryWS

~/Documents/React/mleb-iam/cc_iam/src/pages/country
Country.api.tsx

Country.tsx

CountryAction.tsx

CountryForm.tsx

CountrySearch.tsx

#7 - 10 January 2024 05:55 PM - Hazimi Muhammad
- Status changed from Feedback to Resolved

- Assignee changed from Hazimi Muhammad to chok yee fan

Already solve but need to change port to 8082 in craco.config.js file

#8 - 11 January 2024 03:38 PM - Hazimi Muhammad
Hazimi - Bug #19040 - IAM > Country - Fix the validation not pop up and add defaultValues

~/Documents/React/mleb-iam/cc_iam/src/pages/country
CountryForm.tsx
CountrySearch.tsx

#9 - 15 January 2024 11:44 AM - chok yee fan
- Status changed from Resolved to Feedback

- Assignee changed from chok yee fan to Hazimi Muhammad

totalCount will not response

expected

totalCount will show

#10 - 15 January 2024 11:45 AM - Hazimi Muhammad

Hazimi - Bug #19040 - IAM > Country - Remove the modify and change the form as request

~/Documents/React/mleb-iam/cc_iam/src
assets/i18n

en-US.json

ms-MY .json

pages/country
Country.tsx
CountryAction.tsx
CountryForm.tsx

#11 - 15 January 2024 05:28 PM - Hazimi Muhammad
Hazimi - Bug #19040 - IAM > Country - Fix total count not working

~/Documents/React/mleb-iam/cc_iam/src/pages/country
Country.tsx
CountrySearch.tsx

#12 - 15 January 2024 05:31 PM - Hazimi Muhammad

- Assignee changed from Hazimi Muhammad to chok yee fan

totalCount will not response

expected

totalCount will show

Issue resolved

#13 - 16 January 2024 11:33 AM - chok yee fan

careless not testing
create another bug to track
https://dev.silverlakemobility.com/redmine/issues/19480

#14 - 05 February 2024 01:52 PM - chok yee fan
- Status changed from Feedback to Closed

due to bug https://dev.silverlakemobility.com/redmine/issues/19480 close.
will close this as well
